List bookable asset groups
GET
/asset-groups
const url = 'https://demo.yourapp.com/api/v1/asset-groups';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://demo.yourapp.com/api/v1/asset-groups \ --header 'Authorization: Bearer <token>'Requires the availability:read scope.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”The tenant’s catalog
Media typeapplication/json
object
data
Array<object>
object
id
required
string format: uuid
name
required
Display name, e.g. ‘VW Golf’
string
category
required
Vehicle class, e.g. ‘economy’
string
description
string | null
imageUrl
string | null
Examplegenerated
{ "data": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "category": "example", "description": "example", "imageUrl": "example" } ]}Missing/invalid/revoked/expired API key (API_KEY_REQUIRED, API_KEY_INVALID, API_KEY_REVOKED, API_KEY_EXPIRED) or missing/invalid session token on the browser channel (SESSION_REQUIRED, SESSION_INVALID, SESSION_EXPIRED).
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
Array<object>
object
path
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": [ { "path": "example", "message": "example" } ] }}Origin not allowed (ORIGIN_NOT_ALLOWED), missing scope (SCOPE_NOT_GRANTED), or account issues (TENANT_SUSPENDED, SUBSCRIPTION_CANCELLED, SUBSCRIPTION_PAST_DUE, MODULE_NOT_ENABLED).
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
Array<object>
object
path
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": [ { "path": "example", "message": "example" } ] }}Rate limit exceeded (RATE_LIMITED)
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
Array<object>
object
path
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": [ { "path": "example", "message": "example" } ] }}Headers
Section titled “Headers”Retry-After
integer
Seconds until the window resets
X-RateLimit-Limit
integer
X-RateLimit-Remaining
integer
X-RateLimit-Reset
integer
Unix timestamp (seconds) of the window reset